#
# Conditional build:
%bcond_with	tests		# perform "make test"
#
%define	pdir	HTTP
%define	pnam	Server-Simple
Summary:	HTTP::Server::Simple - Lightweight HTTP server
Summary(pl.UTF-8):	HTTP::Server::Simple - Lekki serwer HTTP
Name:		perl-HTTP-Server-Simple
Version:	0.52
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://cpan.metacpan.org/authors/id/B/BP/BPS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1e23935491d9a2a8b0ba636462255656
URL:		http://search.cpan.org/dist/HTTP-Server-Simple/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a simple standalone HTTP server. By default, it doesn't thread
or fork. It does, however, act as a simple frontend which can be used
to build a standalone web-based application or turn a CGI into one.
It's possible to use Net::Server to get threading, forking, preforking
and so on. Autrijus Tang wrote the functionality and owes docs for
that.

%description -l pl.UTF-8
HTTP::Server::Simple jest prostym, samodzielnym serwerem HTTP.
Domyślnie nie obsługuje on wątków i podprocesów, jednakże może
byc użyty jako frontend do budowy samodzielnej aplikacji WWW lub jako
CGI. Możliwe jest użycie modułu Net::Server do obsługi wątków,
podprocesów itp. z wykorzystaniem kodu stworzonego przez Autrijusa
Tanga.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/HTTP/Server
%{_mandir}/man3/*
%changelog
* Sun Jul 12 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTTP-Server-Simple.git;a=log;h=master

* Sun Jun 21 2020 Adam Osuchowski <adwol@pld-linux.org> 09075ba
- up to 0.55
- fix Source0

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> b4ca164
- drop obsolete and outdated manual inclusion of rpm macros

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 719415a
- up to 0.44

* Thu May 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f8044d1
- up to 0.43

* Wed Mar 03 2010 amateja <amateja@pld-linux.org> 10faa2d
- updated to 0.42

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> a3cef88
- updated to 0.41

* Mon Sep 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ed95e6
- up to 0.40

* Tue Jan 06 2009 duddits <duddits@pld-linux.org> 3ab4b98
- up to 0.37

* Fri Aug 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> eba98c3
- up to 0.34

* Sat Mar 31 2007 radek <radek@pld-linux.org> be7194d
- release 3: include perl_vendorlib/HTTP/Server dir

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> c5a3695
- pl fix, unified Source0

* Mon Mar 26 2007 radek <radek@pld-linux.org> 2bb6410
- release 2: kill tests (dumb)

* Mon Mar 19 2007 beorn <beorn@pld-linux.org> 47a4275
- Polish translation
- English description reformatting
- Adapterized

* Mon Mar 19 2007 radek <radek@pld-linux.org> 76738b7
- new

